#include <bits/stdc++.h>

using namespace std;

int main()
{
    string a,b,c;
    cin >> a >> b >> c;
    string p[10];
    p[0]=a+b+c;
    p[1]=a+c+b;p[2]=b+a+c;p[3]=b+c+a;p[4]=c+a+b;p[5]=c+b+a;
    sort(p,p+6);
        cout << p[5] <<endl;
    return 0;
}